Loading...
Searching...
No Matches
pcl::Label Struct Reference

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | Label (std::uint32_t _label=0)

## Public Attributes

std::uint32_t | label = 0

## Friends

std::ostream & | operator<< (std::ostream &os, const Label &p)

## Detailed Description

Definition at line 489 of file point_types.hpp.

## Constructor & Destructor Documentation

## Label()

pcl::Label::Label | ( | std::uint32_t | _label = 0 | ) |

inline constexpr

Definition at line 493 of file point_types.hpp.

References label.

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Label & | p )

friend

References Label().

## Member Data Documentation

## label

std::uint32_t pcl::Label::label = 0

Definition at line 491 of file point_types.hpp.

Referenced by pcl::OrganizedEdgeBase< PointT, PointLT >::compute(), pcl::OrganizedEdgeFromNormals< PointT, PointNT, PointLT >::compute(), pcl::OrganizedEdgeFromRGB< PointT, PointLT >::compute(), pcl::OrganizedEdgeFromRGBNormals< PointT, PointNT, PointLT >::compute(), and Label().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp